      subroutine ms_rdat_mm(msgtype,iter)
      use gms
      use communicate 
!     include 'fpvm3.h'
      integer :: msgtype
      character(len=30) :: myparnt = 'mm'
      real(8) :: timeprev
      real(8) :: fdna(0:32)

      call recv(msgtype, myparnt)
      call upk(src_Te_eV)
      call upk(src_rNe)
      call upk(fdna,nproc)

!     CALL pvmfrecv( mptid, msgtype, info )
!     CALL pvmfunpack( REAL8, src_Te_eV, 1, 1, info )
!     CALL pvmfunpack( REAL8, src_rNe, 1, 1, info )
!     CALL pvmfunpack( REAL8, fdna, nproc, 1, info )
      src_rNa = fdna(me)
! Line below removed 1/18/02 needed before exec. of AtomicKinetics
!     element = elmt((me*2+1):(me*2)+2)
!d    write(iunit,*) 'me=',me,' Element = ',element
!d    write(iunit,*) 'hnu1=',hnu1,' hnu2=', hnu2,     &
!d   &                  'fwhm=',fwhm,' itd=',itd
!d    write(iunit,*) 'Te_eV=',src_Te_eV,' rNe=',src_rNe,' @ unpack'
!d    call fbuff( )

! -- Time Dependent

      if(itd .EQ. 1)then
        timeprev = time
        call upk(deltat)
        call upk(time)
!       call pvmfunpack( REAL8, deltat, 1, 1, info )
!       call pvmfunpack( REAL8, time, 1, 1, info )
!d      write(iunit,*) 'deltat=',deltat,' time=',time
!d      write(iunit,*) 'timeprev=',timeprev
        if(ABS(timeprev-time).GT. 1.0e-15) THEN
           itime=1  ! New time
           iter=1
        else
           itime=0  ! Old time
        endif
!d      write(iunit,*) 'itime=',itime
      endif

      end subroutine ms_rdat_mm
